Skip to content

Record tool usage event

POST
/projects/{id}/tool-usage
curl --request POST \
--url https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tool-usage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
id
required
string format: uuid

Project UUID

Media type application/json
object

Success

Media type application/json
object
ok
required
boolean

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean